Skip to main content
GET
Show Pair Rivals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

player1
integer
required

The player1 ID

player2
integer
required

The player2 ID

Query Parameters

after_date
string<date> | null

Date after to calculate the rivals in YYYY-MM-DD format.

before_date
string<date> | null

Date before to calculate the rivals in YYYY-MM-DD format.

level
string

Tournament level(s) to scope the rivals. Accepts one or multiple comma-separated values (e.g. major,p1,p2 for all Premier Padel matches) or repeated parameters (e.g. level[]=major&level[]=p1). Valid values are the level codes in the coverage tables.

round
enum<integer> | null

Round of the match to calculate the rivals (1 = Final, 2 = Semifinal, 4 = Quarterfinal, 8 = Round of 16, 16 = Round of 32, 32 = Round of 64)

Available options:
1,
2,
4,
8,
16,
32

Response

PairRivalsResource

id
string
required

Unique identifier of the pair these rivals belong to.

self
string
required

Path to this endpoint, relative to https://padelapi.org.

rivals_count
string
required

Number of distinct rival pairs within the filters. Can be larger than the length of rivals, which holds the 10 most frequent.

rivals
object[]
required

Rival pairs, with both players together on the opposite side in every counted match. id is the two player IDs joined by a hyphen (e.g. 12-34). matches_won, win_percentage and titles are counted from the side of this pair. finals are the finals played against the rival and titles the ones won.

connections
object
required

Related endpoints.